### Constructor

# Vips Image new_from_source

#### Declaration [src]

    VipsImage*
    vips_image_new_from_source (
      VipsSource* source,
      const char* option_string,
      ...
    )

#### Description [src]

Loads an image from the formatted source `input`, loader recommended by `vips_foreign_find_load_source()`.

Load options may be given in `option_string` as `[name=value,...]` or given as a `NULL`-terminated list of name-value pairs at the end of the arguments. Options given in the function call override options given in the string.

See also

`vips_image_write_to_target()`.

This constructor is not directly available to language bindings.

#### Parameters

`source`

  Type: `VipsSource`

  Source to fetch image from.

  The data is owned by the caller of the function.

`option_string`

  Type: `const char*`

  Set of extra options as a string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `VipsImage`

The new `VipsImage`, or `NULL` on error.

The caller of the function takes ownership of the data, and is responsible for freeing it.